## ksystemstats 6.1.5

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

cmake_minimum_required(VERSION 3.16)

project(ksystemstats)
set(PROJECT_VERSION "6.1.5")

set(PROJECT_DEP_VERSION "6.1.5")
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMAddTests)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Test)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Solid KIO)
find_package(KSysGuard ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION})
set_package_properties(KF6NetworkManagerQt PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Provides an improved backend for Network statistics"
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)


set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
            TYPE REQUIRED
            PURPOSE "Used for reading hardware sensors that aren't covered by other plugins."
            URL "https://github.com/lm-sensors/lm-sensors"
        )

    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem and for the network plugin when NetworkManagerQt is not available."
        URL "https://github.com/thom311/libnl/"
    )
endif()

find_package(UDev)
set_package_properties(
    UDev PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "UDev is used for finding graphics cards."
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(tools/kstatsviewer)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/gpu/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

add_library(ksystemstats_plugin_gpu MODULE GpuPlugin.cpp GpuBackend.cpp GpuDevice.cpp AllGpus.cpp)
target_link_libraries(ksystemstats_plugin_gpu Qt::Core KF6::CoreAddons KF6::I18n KSysGuard::SystemStats UDev::UDev)

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
   target_sources(ksystemstats_plugin_gpu PRIVATE LinuxAmdGpu.cpp LinuxNvidiaGpu.cpp LinuxBackend.cpp NvidiaSmiProcess.cpp)
endif()

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

install(TARGETS ksystemstats_plugin_gpu DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== plugins/network/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 David Redondo <kde@david-redondo.de>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-FileCopyrightText: 2021 Alessio Bonfiglio <alessio.bonfiglio@mail.polimi.it>

set(KSYSGUARD_NETWORK_PLUGIN_SOURCES
    NetworkPlugin.cpp
    NetworkDevice.cpp
    NetworkBackend.cpp
    AllDevicesObject.cpp
)

if (KF6NetworkManagerQt_FOUND)
    set(KSYSGUARD_NETWORK_PLUGIN_SOURCES ${KSYSGUARD_NETWORK_PLUGIN_SOURCES} NetworkManagerBackend.cpp)
    add_definitions(-DNETWORKMANAGER_FOUND)
endif()

add_library(ksystemstats_plugin_network MODULE ${KSYSGUARD_NETWORK_PLUGIN_SOURCES})
target_link_libraries(ksystemstats_plugin_network PRIVATE Qt::Core Qt::Gui Qt::DBus KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

if (KF6NetworkManagerQt_FOUND)
    target_link_libraries(ksystemstats_plugin_network PRIVATE KF6::NetworkManagerQt)
endif()
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    target_sources(ksystemstats_plugin_network PRIVATE RtNetlinkBackend.cpp)
    target_link_libraries(ksystemstats_plugin_network PRIVATE ${NL_LIBRARIES} Qt::Network)
    target_include_directories(ksystemstats_plugin_network PRIVATE ${NL_INCLUDE_DIRS})
endif()

install(TARGETS ksystemstats_plugin_network DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== debian/changelog ===
ksystemstats (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:10 +0100

ksystemstats (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:11 +0100

ksystemstats (6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend libksysguard-bin, so process network and nvidia GPU
      columns can be displayed.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 11:44:40 +0100

ksystemstats (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

ksystemstats (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 13:19:21 +0200

ksystemstats (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:21:16 +0200

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6networkmanagerqt-dev (>= 6.2.0~) [linux-any],
               libkf6solid-dev (>= 6.2.0~),
               libksysguard-dev (>= 4:6.1.5~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Rules-Requires-Root: no

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libksysguard-bin,
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

## ksystemstats 6.2.5

=== debian/changelog ===
ksystemstats (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:45 +0000

ksystemstats (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:36 +0000

ksystemstats (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depend on libkf6crash-dev.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:46 +0000

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,21 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6kio-dev (>= 6.2.0~),
-               libkf6networkmanagerqt-dev (>= 6.2.0~) [linux-any],
-               libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.1.5~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6crash-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6kio-dev (>= 6.5.0~),
+               libkf6networkmanagerqt-dev (>= 6.5.0~) [linux-any],
+               libkf6solid-dev (>= 6.5.0~),
+               libksysguard-dev (>= 4:6.2.5~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
                libudev-dev [linux-any],
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats

## ksystemstats 6.2.90

=== debian/changelog ===
ksystemstats (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:49:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6crash-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6kio-dev (>= 6.5.0~),
-               libkf6networkmanagerqt-dev (>= 6.5.0~) [linux-any],
-               libkf6solid-dev (>= 6.5.0~),
-               libksysguard-dev (>= 4:6.2.5~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6crash-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6networkmanagerqt-dev (>= 6.10.0~) [linux-any],
+               libkf6solid-dev (>= 6.10.0~),
+               libksysguard-dev (>= 4:6.2.90~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],

## ksystemstats 6.3.0

=== debian/changelog ===
ksystemstats (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:42 +0100

ksystemstats (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:52 +0100

ksystemstats (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:55 +0100

ksystemstats (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:21 +0100

ksystemstats (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:21 +0100

ksystemstats (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:31 +0100

ksystemstats (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:24 +0200

ksystemstats (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:46 +0200

ksystemstats (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:00 +0200

ksystemstats (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:22 +0200

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~) [linux-any],
               libkf6solid-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.3.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemstats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemstats.git
Rules-Requires-Root: no

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

## ksystemstats 6.3.2

=== debian/changelog ===
ksystemstats (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:05 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6kio-dev (>= 6.10.0~),
                libkf6networkmanagerqt-dev (>= 6.10.0~) [linux-any],
                libkf6solid-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.3.0~),
+               libksysguard-dev (>= 4:6.3.2~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],

## ksystemstats 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(ksystemstats)
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
+project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.5")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(PROJECT_DEP_VERSION "6.3.4")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -25,9 +25,11 @@
 include(ECMConfiguredInstall)
 include(ECMGenerateDBusServiceFile)
 include(ECMDeprecationSettings)
+include(ECMQtDeclareLoggingCategory)
+include(ECMSetupVersion)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Test)
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Solid KIO)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Solid KIO Crash)
 find_package(KSysGuard ${PROJECT_DEP_VERSION} REQUIRED)
 
 find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION})
@@ -38,6 +40,10 @@
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
+
+ecm_setup_version(PROJECT VARIABLE_PREFIX KSYSTEMSTATS
+                  VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
+                  )
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.101
@@ -63,6 +69,14 @@
     )
 endif()
 
+if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+    find_package(Devinfo)
+    set_package_properties(Devinfo PROPERTIES
+            TYPE REQUIRED
+            PURPOSE "Used for finding hardware devices. Part of the base system."
+        )
+endif()
+
 find_package(UDev)
 set_package_properties(
     UDev PROPERTIES
@@ -86,4 +100,10 @@
 
 ki18n_install(po)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ecm_qt_install_logging_categories(
+    EXPORT KSYSTEMSTATS
+    FILE ksystemstats.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksystemstats (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
                libkf6kio-dev (>= 6.10.0~),
                libkf6networkmanagerqt-dev (>= 6.10.0~) [linux-any],
                libkf6solid-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.3.2~),
+               libksysguard-dev (>= 4:6.3.4~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
                libudev-dev [linux-any],
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemstats
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemstats.git

## ksystemstats 6.3.5

=== debian/changelog ===
ksystemstats (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:47 +0100

ksystemstats (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:32 +0100

ksystemstats (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:18:56 +0000

ksystemstats (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on Plasma >= 6.3.2 and KF6 >= 6.10.0
    - Recommend libksysguard-bin, so process network and nvidia GPU
      columns can be displayed.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 09:17:03 +0000

ksystemstats (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:15:55 +0000

ksystemstats (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:55 +0000

ksystemstats (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:54:56 +0000

ksystemstats (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:41:34 +0000

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~) [linux-any],
               libkf6solid-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.3.5~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Rules-Requires-Root: no

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libksysguard-bin,
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

## ksystemstats 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.4")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.4")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -46,7 +46,7 @@
                   )
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.101
+    KF 6.12.0
 )
 
 
@@ -66,6 +66,11 @@
         TYPE REQUIRED
         PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem and for the network plugin when NetworkManagerQt is not available."
         URL "https://github.com/thom311/libnl/"
+    )
+    find_package(Libcap)
+    set_package_properties(Libcap PROPERTIES
+        TYPE OPTIONAL
+        PURPOSE "Needed for setting CAP_PERFMON of Intel GPU helper."
     )
 endif()

=== debian/changelog ===
ksystemstats (6.4.4-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 14:58:42 +0000

ksystemstats (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:12:48 +0000

ksystemstats (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:00:02 +0000

ksystemstats (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:25:39 +0000

ksystemstats (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:42:42 +0000

ksystemstats (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:15:17 +0000

ksystemstats (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:50:48 +0000

ksystemstats (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:01:15 +0000

ksystemstats (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:59:50 +0000

ksystemstats (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:04:28 +0000

ksystemstats (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:47:54 +0000

ksystemstats (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:24:12 +0000

ksystemstats (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:08:59 +1000

ksystemstats (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:27:19 +0000

ksystemstats (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 09:20:04 +0000

ksystemstats (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:58:13 +0000

ksystemstats (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:02:48 +0000

ksystemstats (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Sep 2024 18:21:37 +0000

ksystemstats (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:08:16 +0000

ksystemstats (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:26:32 +0000

ksystemstats (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:02:54 +0000

ksystemstats (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:35:19 +0000

ksystemstats (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:54:37 +0000

ksystemstats (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:13:53 +0000

ksystemstats (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:42:37 +0000

ksystemstats (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:59:28 +0000

ksystemstats (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:18:44 +0000

ksystemstats (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:01 +1000

ksystemstats (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:48:02 +0000

ksystemstats (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:57:15 +0000

ksystemstats (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:06:08 +0000

ksystemstats (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:17:56 +0000

ksystemstats (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:07:34 +0000

ksystemstats (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:31:34 +0000

ksystemstats (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:27:35 +0000

ksystemstats (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:08:37 +0000

ksystemstats (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:01:06 +0000

ksystemstats (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:29:53 +0000

ksystemstats (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:23:58 +0000

ksystemstats (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:41:58 +0000

ksystemstats (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:39:57 +0000

ksystemstats (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:19:57 +0000

ksystemstats (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:56:22 +0000

ksystemstats (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:37:32 +0000

ksystemstats (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:11:20 +0000

ksystemstats (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:06:55 +0000



=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kio-dev,
               kf6-networkmanager-qt-dev,
               kf6-solid-dev,
               libkf5sysguard-dev,
               libnl-3-dev,
               libnl-route-3-dev,
               libsensors-dev,
               libudev-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.5.1
Homepage: http://www.kde.org/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/ksystemstats.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksystemstats
Maintainer: Neon CI <neon@kde.org>

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.21.80)
Replaces: ksysguard (<< 4:5.21.80)
Description: plugin based system monitoring daemon
 plugin based system monitoring daemon used by System Monitor.

## ksystemstats 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.5")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.4")
+set(PROJECT_DEP_VERSION "6.4.5")
 set(QT_MIN_VERSION "6.8.0")
 set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== plugins/cpu/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 David Redondo <kde@david-redondo.de>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

add_library(ksystemstats_plugin_cpu MODULE  cpu.cpp cpuplugin.cpp loadaverages.cpp usagecomputer.cpp)
if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    target_sources(ksystemstats_plugin_cpu PRIVATE linuxcpu.cpp linuxcpuplugin.cpp)
elseif(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    target_sources(ksystemstats_plugin_cpu PRIVATE freebsdcpuplugin.cpp)
endif()

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

target_link_libraries(ksystemstats_plugin_cpu Qt::Core KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

ecm_qt_declare_logging_category(ksystemstats_plugin_cpu HEADER debug.h
    IDENTIFIER KSYSTEMSTATS_CPU
    CATEGORY_NAME org.kde.ksystemstats.cpu
    DESCRIPTION "KSystemStats CPU Plugin"
    EXPORT KSYSTEMSTATS
)

install(TARGETS ksystemstats_plugin_cpu DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== debian/changelog ===
ksystemstats (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:52 +0100

ksystemstats (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libdrm-dev and libcap.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:41 +0100

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdrm-dev,
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6networkmanagerqt-dev (>= 6.14.0~) [linux-any],
               libkf6solid-dev (>= 6.14.0~),
               libksysguard-dev (>= 4:6.4.5~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Rules-Requires-Root: no

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libksysguard-bin,
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:

## ksystemstats 6.4.5+p24.04+vstable+git20250921.0838

=== debian/changelog ===
ksystemstats (6.4.5+p24.04+vstable+git20250921.0838-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 08:38:20 +0000

ksystemstats (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:55:54 +0000

## ksystemstats 6.4.5+p24.04+vstable+git20251003.1118

=== debian/changelog ===
ksystemstats (6.4.5+p24.04+vstable+git20251003.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:18:01 +0000

## ksystemstats 6.4.5+p24.04+vstable+git20251012.0311

=== debian/changelog ===
ksystemstats (6.4.5+p24.04+vstable+git20251012.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 03:11:54 +0000

## ksystemstats 6.4.5+p24.04+vstable+git20251019.0731

=== debian/changelog ===
ksystemstats (6.4.5+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:06 +0000

## ksystemstats 6.4.5+p24.04+vunstable+git20251015.1330

=== debian/changelog ===
ksystemstats (6.4.5+p24.04+vunstable+git20251015.1330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:30:57 +0000

## ksystemstats 6.4.5+p24.04+vunstable+git20251020.1151

=== debian/changelog ===
ksystemstats (6.4.5+p24.04+vunstable+git20251020.1151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:51:24 +0000

## ksystemstats 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
ksystemstats (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:14:53 +0200

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev [linux-any],
               libdrm-dev,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
               libkf6solid-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.4.91~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemstats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemstats.git

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

## ksystemstats 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== plugins/osinfo/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

set(KSYSGUARD_OSINFO_PLUGIN_SOURCES
    osinfo.cpp
)

add_library(ksystemstats_plugin_osinfo MODULE ${KSYSGUARD_OSINFO_PLUGIN_SOURCES})
target_link_libraries(ksystemstats_plugin_osinfo Qt::Core Qt::Gui Qt::DBus KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

ecm_qt_declare_logging_category(ksystemstats_plugin_osinfo HEADER debug.h
    IDENTIFIER KSYSTEMSTATS_OSINFO
    CATEGORY_NAME org.kde.ksystemstats.osinfo
    DESCRIPTION "KSystemStats OSInfo Plugin"
    EXPORT KSYSTEMSTATS
)

install(TARGETS ksystemstats_plugin_osinfo DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== tools/kstatsviewer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 David Edmundson <davidedmundson@kde.org>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

set(SOURCES
    main.cpp
)

add_executable(kstatsviewer ${SOURCES})
target_link_libraries(kstatsviewer Qt::Core Qt::DBus KSysGuard::Formatter KSysGuard::SystemStats)

install(TARGETS kstatsviewer DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gpu/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 David Redondo <kde@david-redondo.de>

ecm_add_test(nvidia.cpp ../NvidiaSmiProcess.cpp
    TEST_NAME nvidiatest
    LINK_LIBRARIES Qt::Test
)

=== debian/changelog ===
ksystemstats (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:17 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6kio-dev (>= 6.18.0~),
                libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
                libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.4.91~),
+               libksysguard-dev (>= 4:6.5.0~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],

## ksystemstats 6.5.0+p24.04+vstable+git20251021.0843

=== debian/changelog ===
ksystemstats (6.5.0+p24.04+vstable+git20251021.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:43:40 +0000

ksystemstats (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:22:43 +0000

## ksystemstats 6.5.0+p24.04+vstable+git20251028.2232

=== debian/changelog ===
ksystemstats (6.5.0+p24.04+vstable+git20251028.2232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:32:36 +0000

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kio-dev,
               kf6-networkmanager-qt-dev,
               kf6-solid-dev,
               libcap-dev,
               libkf5sysguard-dev,
               libnl-3-dev,
               libnl-route-3-dev,
               libsensors-dev,
               libudev-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/ksystemstats.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksystemstats
Maintainer: Neon CI <neon@kde.org>

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.21.80)
Replaces: ksysguard (<< 4:5.21.80)
Description: plugin based system monitoring daemon
 plugin based system monitoring daemon used by System Monitor.

## ksystemstats 6.5.0+p24.04+vunstable+git20251021.0709

=== debian/changelog ===
ksystemstats (6.5.0+p24.04+vunstable+git20251021.0709-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:09:42 +0000
